Skip to main content
`Ctrl`+`K`

# numpy.dtype.flags

attribute

dtype.flags

  Bit-flags describing how this data type is to be interpreted.

  Bit-masks are in `numpy._core.multiarray` as the constants ITEM_HASOBJECT, LIST_PICKLE, ITEM_IS_POINTER, NEEDS_INIT, NEEDS_PYAPI, USE_GETITEM, USE_SETITEM. A full explanation of these flags is in C-API documentation; they are largely useful for user-defined data-types.

  The following example demonstrates that operations on this particular dtype requires Python C-API.

  Examples

      >>> import numpy as np
      >>> x = np.dtype([('a', np.int32, 8), ('b', np.float64, 6)])
      >>> x.flags
      16
      >>> np._core.multiarray.NEEDS_PYAPI
      16